/*
This script installs the required extended stored procedures to use MS DTC with JSQLConnect
*/

use master

/* Drop any existing procedure definitions */

exec sp_dropextendedproc 'xp_jsql_xa_init' 
exec sp_dropextendedproc 'xp_jsql_xa_start'
exec sp_dropextendedproc 'xp_jsql_xa_end'
exec sp_dropextendedproc 'xp_jsql_xa_prepare'
exec sp_dropextendedproc 'xp_jsql_xa_commit'
exec sp_dropextendedproc 'xp_jsql_xa_rollback'
exec sp_dropextendedproc 'xp_jsql_xa_forget'
exec sp_dropextendedproc 'xp_jsql_xa_recover'

/* Install the procedures */

exec sp_addextendedproc 'xp_jsql_xa_init', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_start', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_end', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_prepare', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_commit', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_rollback', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_forget', 'JSQL_XA.dll'
exec sp_addextendedproc 'xp_jsql_xa_recover', 'JSQL_XA.dll'

/* Grant priveleges */
grant execute on xp_jsql_xa_init to public
grant execute on xp_jsql_xa_start to public
grant execute on xp_jsql_xa_end to public
grant execute on xp_jsql_xa_prepare to public
grant execute on xp_jsql_xa_commit to public
grant execute on xp_jsql_xa_rollback to public
grant execute on xp_jsql_xa_recover to public
grant execute on xp_jsql_xa_forget to public

print ''
print 'JSQL XA DLL Installed OK, please check for any error messages generated above'

